Debian Bug report logs - #656477
uninstallable on kfreebsd-* (should be Architecture: linux-any)

version graph

Package: systemtap-sdt-dev; Maintainer for systemtap-sdt-dev is Ritesh Raj Sarraf <rrs@debian.org>; Source for systemtap-sdt-dev is src:systemtap.

Reported by: Christoph Egger <christoph@debian.org>

Date: Wed, 18 Jan 2012 22:15:08 UTC

Severity: important

Tags: sid, wheezy

Fixed in version systemtap/1.7-1~experimental1

Done: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, drizzle@packages.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#656383; Package kfreebsd-kernel-headers. (Wed, 18 Jan 2012 22:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, drizzle@packages.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 18 Jan 2012 22:15:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: undeclared file conflict with systemtap-sdt-dev_1.6-1
Date: Wed, 18 Jan 2012 23:16:14 +0100
Package: kfreebsd-kernel-headers
Version: 0.62
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org, drizzle@packages.debian.org

Hi!

  Noticed a file conflict in drizzle's build log on kfreebsd:

dpkg: error processing /var/cache/apt/archives/systemtap-sdt-dev_1.6-1_all.deb (--unpack):
 trying to overwrite '/usr/include/sys/sdt.h', which is also in package kfreebsd-kernel-headers 0.62

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#656383; Package kfreebsd-kernel-headers. (Thu, 19 Jan 2012 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 19 Jan 2012 17:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 656383@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 656383@bugs.debian.org
Cc: systemtap-sdt-dev@packages.debian.org, drizzle@packages.debian.org
Subject: Re: Bug#656383: undeclared file conflict with systemtap-sdt-dev_1.6-1
Date: Thu, 19 Jan 2012 17:07:46 +0000
clone 656383 -1
reassign -1 systemtap-sdt-dev
retitle -1 uninstallable on kfreebsd-* (should be Architecture: linux-any)
severity -1 important
reassign 656383 drizzle
retitle 656383 FTBFS on kfreebsd-* (Build-Depends unconditionally on
linux-specific package)
severity 656383 important
thanks

El 18 de gener de 2012 22:16, Christoph Egger <christoph@debian.org> ha escrit:
>  Noticed a file conflict in drizzle's build log on kfreebsd:
>
> dpkg: error processing /var/cache/apt/archives/systemtap-sdt-dev_1.6-1_all.deb (--unpack):
>  trying to overwrite '/usr/include/sys/sdt.h', which is also in package kfreebsd-kernel-headers 0.62

As systemtap-sdt-dev is a Linux-specific package, there's no point in
trying to make it installable on GNU/kFreeBSD, as it shouldn't be
available there in first place.

-- 
Robert Millan




Bug 656383 cloned as bug 656477. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Jan 2012 17:09:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-kernel-headers' to 'systemtap-sdt-dev'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Jan 2012 17:09:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kfreebsd-kernel-headers/0.62. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Jan 2012 17:09:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'uninstallable on kfreebsd-* (should be Architecture: linux-any)' from 'undeclared file conflict with systemtap-sdt-dev_1.6-1' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Jan 2012 17:09:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Jan 2012 17:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ritesh Raj Sarraf <rrs@debian.org>:
Bug#656477; Package systemtap-sdt-dev. (Thu, 19 Jan 2012 18:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ritesh Raj Sarraf <rrs@debian.org>. (Thu, 19 Jan 2012 18:15:10 GMT) Full text and rfc822 format available.

Message #25 received at 656477@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 656477@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#656383: undeclared file conflict with systemtap-sdt-dev_1.6-1
Date: Thu, 19 Jan 2012 18:13:36 +0000
El 19 de gener de 2012 17:20, Timo Juhani Lindfors
<timo.lindfors@iki.fi> ha escrit:
> Robert Millan <rmh@debian.org> writes:
>> As systemtap-sdt-dev is a Linux-specific package, there's no point in
>> trying to make it installable on GNU/kFreeBSD, as it shouldn't be
>> available there in first place.
>
> Thanks for the report.
>
> I guess we should make systemtap-sdt-dev, systemtap-doc and
> systemtap-common "Architecture: linux-any".

For binary-all packages we usually don't care, since it's so common
(also for linux architectures) and the impact is small. However in
case of  systemtap-sdt-dev it creates the perception that it can be
used unconditionally as build-dependency.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Ritesh Raj Sarraf <rrs@debian.org>:
Bug#656477; Package systemtap-sdt-dev. (Mon, 23 Jan 2012 08:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Ritesh Raj Sarraf <rrs@debian.org>. (Mon, 23 Jan 2012 08:39:08 GMT) Full text and rfc822 format available.

Message #30 received at 656477@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Robert Millan <rmh@debian.org>
Cc: 656477@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#656383: undeclared file conflict with systemtap-sdt-dev_1.6-1
Date: Mon, 23 Jan 2012 10:36:27 +0200
Robert Millan <rmh@debian.org> writes:
> For binary-all packages we usually don't care, since it's so common

Ok, set in git. We are currently waiting for upstream to release 1.7 but
they got stuck trying to fix some nasty bug since December.




Added tag(s) pending. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Mon, 23 Jan 2012 09:33:39 GMT) Full text and rfc822 format available.

Reply sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
You have taken responsibility. (Fri, 10 Feb 2012 11:50:35 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Fri, 10 Feb 2012 11:50:37 GMT) Full text and rfc822 format available.

Message #37 received at 656477-close@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 656477-close@bugs.debian.org
Subject: Bug#656477: fixed in systemtap 1.7-1~experimental1
Date: Fri, 10 Feb 2012 11:47:44 +0000
Source: systemtap
Source-Version: 1.7-1~experimental1

We believe that the bug you reported is fixed in the latest version of
systemtap, which is due to be installed in the Debian FTP archive:

systemtap-client_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-client_1.7-1~experimental1_amd64.deb
systemtap-common_1.7-1~experimental1_all.deb
  to main/s/systemtap/systemtap-common_1.7-1~experimental1_all.deb
systemtap-doc_1.7-1~experimental1_all.deb
  to main/s/systemtap/systemtap-doc_1.7-1~experimental1_all.deb
systemtap-grapher_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-grapher_1.7-1~experimental1_amd64.deb
systemtap-runtime_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-runtime_1.7-1~experimental1_amd64.deb
systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
systemtap-server_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap-server_1.7-1~experimental1_amd64.deb
systemtap_1.7-1~experimental1.debian.tar.gz
  to main/s/systemtap/systemtap_1.7-1~experimental1.debian.tar.gz
systemtap_1.7-1~experimental1.dsc
  to main/s/systemtap/systemtap_1.7-1~experimental1.dsc
systemtap_1.7-1~experimental1_amd64.deb
  to main/s/systemtap/systemtap_1.7-1~experimental1_amd64.deb
systemtap_1.7.orig.tar.gz
  to main/s/systemtap/systemtap_1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656477@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Timo Juhani Lindfors <timo.lindfors@iki.fi> (supplier of updated systemtap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 19 Dec 2011 13:27:20 +0200
Source: systemtap
Binary: systemtap systemtap-common systemtap-runtime systemtap-doc systemtap-server systemtap-client systemtap-sdt-dev systemtap-grapher
Architecture: source amd64 all
Version: 1.7-1~experimental1
Distribution: experimental
Urgency: low
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Changed-By: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Description: 
 systemtap  - instrumentation system for Linux
 systemtap-client - instrumentation system for Linux (client for compile server)
 systemtap-common - instrumentation system for Linux (common component)
 systemtap-doc - documentation and examples for SystemTap
 systemtap-grapher - instrumentation system for Linux (grapher)
 systemtap-runtime - instrumentation system for Linux (runtime component)
 systemtap-sdt-dev - statically defined probes development files
 systemtap-server - instrumentation system for Linux (compile server)
Closes: 645797 655882 656383 656477
Changes: 
 systemtap (1.7-1~experimental1) experimental; urgency=low
 .
   [ Ritesh Raj Sarraf ]
   * Add Timo Juhani Lindfors to Uploaders.
 .
   [ Timo Juhani Lindfors ]
   * New Upstream Release.
   * Drop patches that are obsolete or accepted upstream:
     dont-build-pdfdocs.diff dont-remove-scripts.diff
     examples-shebangs.diff grapher-libs.diff new-elfutils.diff
     no-make-distclean-for-man.diff stapex-docdir-path.diff
     use-pdflatex.diff vim-filetype-override.diff xmlto-test.diff
   * Add patches to improve documentation: manpage-paths1.diff
     manpage-syntax1.diff spelling-fixes1.diff spelling-fixes2.diff
   * Update standards-version to 3.9.2, no changes necessary
   * Add armhf to the architecture list (Closes: #645797)
   * Enable hardened build flags (Closes: #655882)
   * Set architecture of systemtap-sdt-dev to linux-any to avoid confusion
     on kfreebsd (Closes: #656383, #656477)
   * Add stapsys group which behaves like stapdev but does not permit
     the use of guru mode.
   * Remove references to "Linux 2.6" from package description and suggests
     fields since we support 3.x too.
Checksums-Sha1: 
 c27d2ab3a3d38ae7dc0a83c2b058dfaa621801b2 2740 systemtap_1.7-1~experimental1.dsc
 26fcab4a05d79ef94a84b47c55aaac81a4ece271 2391055 systemtap_1.7.orig.tar.gz
 226e0dc57553ee1728b9b7199a0faf32bae3e3fb 26431 systemtap_1.7-1~experimental1.debian.tar.gz
 9ef8188ff7a685f783c7f498cb5154d2a42fc9d7 842700 systemtap_1.7-1~experimental1_amd64.deb
 39358e27d70bba7c97d30c00347c4f2385a4519f 514796 systemtap-common_1.7-1~experimental1_all.deb
 67fc656b73c2648bc7cacf357c0bcb9ef5d3aef6 156928 systemtap-runtime_1.7-1~experimental1_amd64.deb
 634bd92000d23c6ac4952bada2b37ef7c0b0b910 1139856 systemtap-doc_1.7-1~experimental1_all.deb
 a2e65d81417b603d81299ee07c9882584041c9b2 200016 systemtap-server_1.7-1~experimental1_amd64.deb
 7afe7d433f68da1fb1697ba52719113d66014c54 16440 systemtap-client_1.7-1~experimental1_amd64.deb
 8fccb84767d3d05a164b124f102b7bc37afcc792 23972 systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
 b5cb707df1fc61eb7caea540dedd1110f28debdc 122184 systemtap-grapher_1.7-1~experimental1_amd64.deb
Checksums-Sha256: 
 dd5c4e1fb21268222c6fa3777de2575637659b0d49aaa4818a2ab952b123e023 2740 systemtap_1.7-1~experimental1.dsc
 13298b889a3a00ec0279eae737adae33139047aa88cf396d9846fa4da75228ae 2391055 systemtap_1.7.orig.tar.gz
 f3a1eb787a67d94fecb246bb9e1cce0fd9f64e94720c2d00d1004050d9cfa4ad 26431 systemtap_1.7-1~experimental1.debian.tar.gz
 e1aead40d3cbaa02541623d38445de854893b41765253542578512c334483e08 842700 systemtap_1.7-1~experimental1_amd64.deb
 00096410b49f90521d8c7cb868816eed84786325aaa16b92b0b7e4d09f6bc84f 514796 systemtap-common_1.7-1~experimental1_all.deb
 6886f3bbd36fe3748c2d605572294b469053d48c687b6f1560c42eac503cde01 156928 systemtap-runtime_1.7-1~experimental1_amd64.deb
 e888e719d54dcf7a6250cac48220e754d526b4e4f698cbdaec63419f45c6bca8 1139856 systemtap-doc_1.7-1~experimental1_all.deb
 400a3745cdc894bc9372b5ef016f991f97f7c5ece342c685d871a480f55f7afb 200016 systemtap-server_1.7-1~experimental1_amd64.deb
 fc87a6a1de4d0293c6dab1a14e9e110fc5135ba1926c34d4879f3afdc24e7cb0 16440 systemtap-client_1.7-1~experimental1_amd64.deb
 dc3f449435cab9873dea12cefb4b58478449ca35eaeeb2a7ddcf262602823248 23972 systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
 3ec4b25d47c3a9a62d218c9d8f23fd3764f7c453495b2732987f3df4a0890897 122184 systemtap-grapher_1.7-1~experimental1_amd64.deb
Files: 
 b872d1c2dbf2e4a5143dadf8094db463 2740 devel optional systemtap_1.7-1~experimental1.dsc
 b61b42b2fc687a8c76621ce8e4b37b17 2391055 devel optional systemtap_1.7.orig.tar.gz
 a53727e30bfe2ee808376571d4d69f35 26431 devel optional systemtap_1.7-1~experimental1.debian.tar.gz
 cf3bcb637de667a307a498c16639f40d 842700 devel optional systemtap_1.7-1~experimental1_amd64.deb
 fece279c5069e2cef7c92cf0c11d61a6 514796 devel optional systemtap-common_1.7-1~experimental1_all.deb
 8f1f03336599d59f214b275dc1410ae0 156928 devel optional systemtap-runtime_1.7-1~experimental1_amd64.deb
 2846d2299bc71de4990b3fe4ed2a7360 1139856 doc optional systemtap-doc_1.7-1~experimental1_all.deb
 1d513921ee44fd35cc805f8068129da3 200016 devel optional systemtap-server_1.7-1~experimental1_amd64.deb
 cbfe10b4358e60370ac740e921261629 16440 devel optional systemtap-client_1.7-1~experimental1_amd64.deb
 a5b7fbe8cce16d0bca1086efa59a28c6 23972 devel optional systemtap-sdt-dev_1.7-1~experimental1_amd64.deb
 d97966eed05b36ac14de4573826b8036 122184 devel optional systemtap-grapher_1.7-1~experimental1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPNOzOAAoJEE0knZsj5vw6/+YP/j8Z31QNof5uXi2KKnId/Pex
Wvb64lH7QaHwISHB3Se01iotsL8jm1t/Lz9nmBu4uyvaZ9CIewY6xENX1HUgOEyb
/p5IA2R9QtOxUnBVjzEFtgz4Cn1eCNsQ7/ftYb9MEpIhhyba33xojz3polXwmotF
TRTbQgI0zdnTLLrL7ZVeJFUhZzDZSY2uTf0LmHnHtx6/pG4m4gw5ie1/6IS3WK5R
9jpCbXpvmTh1uUKMXIj7tDqUaFGPmq0vumer5DkVMp2ncmgL+ULCaAhLBcAIhlIO
blYmPGpDsVjE7EAANK64cHsBCe5aAyPaFnnAJEcjFRZXIOpeITdax5W5id2GdA+E
Yjuk/a08aXW6VigsSwxHcE3yPqN7p02TLaUkfWSgpY69vmuL4SkmNv4AH9tVQrcr
mASj3J9YIufc4hPW+0wlECF87/QURvTX4AiTwYxMLymxfiGbrrKbJ8Si5A7UrTUq
eyUeLN6ZduYLl+JQEX8ZCxdMfpGi67DSqa5px5q8tGE5nG61Tje2LvDd7snzbAXs
/yS6gjRp3VX0CnsRaLWNhrVZ98k/3vEqz+DQlDWUXbE0TgdXn5qYO+gIXi2BwxSO
OmSo0+rFLv+fiXzzbOE8zoRiKY7NwhEdsY3puU3IJ+BDZ0xxKCQ1HssEk2LtVD3G
6eAaiHKFpTYzG2tB/toR
=eOGu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 May 2012 07:38:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:44:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.